• R/O
  • HTTP
  • SSH
  • HTTPS

packages: Commit

Community maintained packages for ImmortalWrt.


Commit MetaInfo

Revision3db5bead98d90abd4551028081218ef2e24f1b38 (tree)
Time2022-12-02 17:59:57
AuthorGlenn Strauss <gstrauss@glue...>
CommiterJosef Schlehofer

Log Message

lighttpd: print stderr trace if validation fails

lighttpd.init validate_conf(): print stderr trace if validation fails

Signed-off-by: Glenn Strauss <gstrauss@gluelogic.com>
(cherry picked from commit 38ffa02e422bac544eee9578830a8b6a49265be1)

Change Summary

Incremental Difference

--- a/net/lighttpd/files/lighttpd.init
+++ b/net/lighttpd/files/lighttpd.init
@@ -8,8 +8,8 @@ USE_PROCD=1
88 PROG=/usr/sbin/lighttpd
99
1010 validate_conf() {
11- $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1 || {
12- echo "validation failed"
11+ $PROG -tt -f /etc/lighttpd/lighttpd.conf >/dev/null || {
12+ echo 1>&2 "lighttpd.conf validation failed"
1313 return 1
1414 }
1515 }
@@ -34,6 +34,7 @@ service_triggers() {
3434 }
3535
3636 reload_service() {
37+ validate_conf || exit 1
3738 # lighttpd graceful restart (SIGUSR1)
3839 procd_send_signal lighttpd '*' USR1
3940 }
Show on old repository browser